## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesNodeListBridge Class Reference

This class is deprecated. More...

`#include <XercesNodeListBridge.hpp>`

Inheritance diagram for XercesNodeListBridge:

[legend]
Collaboration diagram for XercesNodeListBridge:

[legend]
List of all members.

## Public Methods

- XercesNodeListBridge (const DOM_NodeListType &theXercesNodeList, const XercesBridgeNavigator &theNavigator)
- XercesNodeListBridge (const XercesNodeListBridge &theSource)
- virtual ~XercesNodeListBridge ()
- bool operator== (const XercesNodeListBridge &theRHS) const
- virtual XalanNode* item (unsigned int index) const
    Returns the `index`th item in the collection. More...
- virtual unsigned int getLength () const
    Returns the number of nodes in the list. More...

## Detailed Description

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Constructor & Destructor Documentation

XercesNodeListBridge::XercesNodeListBridge ( | const DOM_NodeListType & theXercesNodeList,
| const XercesBridgeNavigator & theNavigator )

XercesNodeListBridge::XercesNodeListBridge ( | const XercesNodeListBridge & theSource )

XercesNodeListBridge::~XercesNodeListBridge ( | )`[virtual]`

## Member Function Documentation

unsigned int XercesNodeListBridge::getLength ( | ) const`[virtual]`

| Returns the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Reimplemented from XalanNodeList.

XalanNode * XercesNodeListBridge::item ( | unsigned int index ) const`[virtual]`

  | Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`. Parameters:
  index | Index into the collection.
Returns: The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index. Reimplemented from XalanNodeList.

bool XercesNodeListBridge::operator== ( | const XercesNodeListBridge & theRHS ) const

The documentation for this class was generated from the following file:

- XercesNodeListBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.